shm_has_var
shm_remove_var
Semaphore Functions
PHP Manual

# shm_put_var

(PHP 4, PHP 5)

shm_put_var — Inserts or updates a variable in shared memory

### Description

bool shm_put_var ( resource `$shm_identifier` , int `$variable_key` , mixed `$variable` )

shm_put_var() inserts or updates the `variable` with the given `variable_key`.

Warnings (`E_WARNING` level) will be issued if `shm_identifier` is not a valid SysV shared memory index or if there was not enough shared memory remaining to complete your request.

### Parameters

`shm_identifier`

  A shared memory resource handle as returned by shm_attach()

`variable_key`

  The variable key.

`variable`

  The variable. All variable-types are supported.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- shm_get_var() - Returns a variable from shared memory
- shm_has_var() - Check whether a specific entry exists

shm_has_var
shm_remove_var
Semaphore Functions
PHP Manual